﻿using System.Data.SqlClient;
using C1.Web.Mvc.Serialization;
using C1.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using ComboBox.Models;

namespace ComboBox.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View(GetSystemColors());
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        private static NamedColor[] GetSystemColors()
        {
            return Enum.GetValues(typeof(ConsoleColor))
                .Cast<ConsoleColor>()
                .Select(c => new NamedColor
                {
                    Name = c.ToString(),
                    Value = (int)c
                })
                .ToArray();
        }
    }
}
